Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Rails 3.2 compatibility #5

Open
mensfeld opened this Issue January 27, 2012 · 1 comment

1 participant

Maciej Mensfeld
Maciej Mensfeld

Could not find cache store adapter for bin

Running it like this:

 config.cache_store = :bin, Mongo::Connection.new.db('page')['cache']

Looks like something changed in ActiveSupport::Cache

below backtrace:

from /home/mencio/.rvm/gems/ruby-1.9.2-p0@rails3.2/gems/activesupport-3.2.1/lib/active_support/cache.rb:62:in `lookup_store'
from /home/mencio/.rvm/gems/ruby-1.9.2-p0@rails3.2/gems/railties-3.2.1/lib/rails/application/bootstrap.rb:54:in `block (2 levels) in <module:Bootstrap>'
from /home/mencio/.rvm/gems/ruby-1.9.2-p0@rails3.2/gems/activesupport-3.2.1/lib/active_support/core_ext/kernel/reporting.rb:11:in `block in silence_warnings'
from /home/mencio/.rvm/gems/ruby-1.9.2-p0@rails3.2/gems/activesupport-3.2.1/lib/active_support/core_ext/kernel/reporting.rb:22:in `with_warnings'
from /home/mencio/.rvm/gems/ruby-1.9.2-p0@rails3.2/gems/activesupport-3.2.1/lib/active_support/core_ext/kernel/reporting.rb:11:in `silence_warnings'
from /home/mencio/.rvm/gems/ruby-1.9.2-p0@rails3.2/gems/railties-3.2.1/lib/rails/application/bootstrap.rb:54:in `block in <module:Bootstrap>'
from /home/mencio/.rvm/gems/ruby-1.9.2-p0@rails3.2/gems/railties-3.2.1/lib/rails/initializable.rb:30:in `instance_exec'
from /home/mencio/.rvm/gems/ruby-1.9.2-p0@rails3.2/gems/railties-3.2.1/lib/rails/initializable.rb:30:in `run'
from /home/mencio/.rvm/gems/ruby-1.9.2-p0@rails3.2/gems/railties-3.2.1/lib/rails/initializable.rb:55:in `block in run_initializers'
from /home/mencio/.rvm/gems/ruby-1.9.2-p0@rails3.2/gems/railties-3.2.1/lib/rails/initializable.rb:54:in `each'
from /home/mencio/.rvm/gems/ruby-1.9.2-p0@rails3.2/gems/railties-3.2.1/lib/rails/initializable.rb:54:in `run_initializers'
from /home/mencio/.rvm/gems/ruby-1.9.2-p0@rails3.2/gems/railties-3.2.1/lib/rails/application.rb:136:in `initialize!'
from /home/mencio/.rvm/gems/ruby-1.9.2-p0@rails3.2/gems/railties-3.2.1/lib/rails/railtie/configurable.rb:30:in `method_missing'
from /home/mencio/Rails/Senpuuv5/config/environment.rb:23:in `<top (required)>'
from /home/mencio/.rvm/gems/ruby-1.9.2-p0@rails3.2/gems/activesupport-3.2.1/lib/active_support/dependencies.rb:251:in `require'
from /home/mencio/.rvm/gems/ruby-1.9.2-p0@rails3.2/gems/activesupport-3.2.1/lib/active_support/dependencies.rb:251:in `block in require'
from /home/mencio/.rvm/gems/ruby-1.9.2-p0@rails3.2/gems/activesupport-3.2.1/lib/active_support/dependencies.rb:236:in `load_dependency'
from /home/mencio/.rvm/gems/ruby-1.9.2-p0@rails3.2/gems/activesupport-3.2.1/lib/active_support/dependencies.rb:251:in `require'
from /home/mencio/Rails/Senpuuv5/config.ru:4:in `block in <main>'
from /home/mencio/.rvm/gems/ruby-1.9.2-p0@rails3.2/gems/rack-1.4.1/lib/rack/builder.rb:51:in `instance_eval'
from /home/mencio/.rvm/gems/ruby-1.9.2-p0@rails3.2/gems/rack-1.4.1/lib/rack/builder.rb:51:in `initialize'
from /home/mencio/Rails/Senpuuv5/config.ru:1:in `new'
from /home/mencio/Rails/Senpuuv5/config.ru:1:in `<main>'
from /home/mencio/.rvm/gems/ruby-1.9.2-p0@rails3.2/gems/rack-1.4.1/lib/rack/builder.rb:40:in `eval'
from /home/mencio/.rvm/gems/ruby-1.9.2-p0@rails3.2/gems/rack-1.4.1/lib/rack/builder.rb:40:in `parse_file'
from /home/mencio/.rvm/gems/ruby-1.9.2-p0@rails3.2/gems/rack-1.4.1/lib/rack/server.rb:200:in `app'
from /home/mencio/.rvm/gems/ruby-1.9.2-p0@rails3.2/gems/railties-3.2.1/lib/rails/commands/server.rb:46:in `app'
from /home/mencio/.rvm/gems/ruby-1.9.2-p0@rails3.2/gems/rack-1.4.1/lib/rack/server.rb:301:in `wrapped_app'
from /home/mencio/.rvm/gems/ruby-1.9.2-p0@rails3.2/gems/rack-1.4.1/lib/rack/server.rb:252:in `start'
from /home/mencio/.rvm/gems/ruby-1.9.2-p0@rails3.2/gems/railties-3.2.1/lib/rails/commands/server.rb:70:in `start'
from /home/mencio/.rvm/gems/ruby-1.9.2-p0@rails3.2/gems/railties-3.2.1/lib/rails/commands.rb:55:in `block in <top (required)>'
from /home/mencio/.rvm/gems/ruby-1.9.2-p0@rails3.2/gems/railties-3.2.1/lib/rails/commands.rb:50:in `tap'
from /home/mencio/.rvm/gems/ruby-1.9.2-p0@rails3.2/gems/railties-3.2.1/lib/rails/commands.rb:50:in `<top (required)>'
from script/rails:6:in `require'
from script/rails:6:in `<main>'
Maciej Mensfeld

any response?

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.